This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 487391 - php-laconica code requires Auth/Yadis, but it should look for Auth_OpenID/Yadis
php-laconica code requires Auth/Yadis, but it should look for Auth_OpenID/Yadis
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: php-laconica (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On: 542580
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-25 14:44 EST by Matt Domsch
Modified: 2009-12-18 03:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:02:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2009-02-25 14:44:00 EST
Description of problem:
PHP Fatal error:  require_once() [<a href='function.require'>function.require</a>]: Failed opening required 'Auth/Yadis/Yadis.php'

however, no Yadis is packaged in Fedora.

Version-Release number of selected component (if applicable):
php-laconica-0.5.0-3.fc10.noarch
Comment 1 Rakesh Pandit 2009-03-06 01:41:25 EST
It is provided by php-pear-Auth-OpenID.
Comment 2 Matt Domsch 2009-03-06 07:58:48 EST
then it looks like a coding bug in php-laconica.

php-pear-Auth-OpenID provides the file:
 /usr/share/pear/Auth_OpenID/Yadis/Yadis.php

while php-laconica is looking for Auth/Yadis/Yadis.php.
Comment 3 Rakesh Pandit 2009-03-06 08:22:13 EST
Yes, I will fix that in new update. In a day or two I will package php-markdown and fix laconica in one go.
Comment 4 James Cassell 2009-09-28 22:36:45 EDT
I'd argue that it's a problem with php-pear-Auth-OpenID being installed to a nonstandard location.  The php-pear-Auth-OpenID code itself tries to require "Auth/OpenID.php" when the file it wants is in "Auth_OpenID/OpenID.php"

I'll file a bug there, but this bug came up when I was searching for existing bugs.
Comment 5 Bug Zapper 2009-11-18 06:13:59 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 James Cassell 2009-11-30 04:05:53 EST
I posted a fix in this bug: https://bugzilla.redhat.com/show_bug.cgi?id=526146

but there's been no response for 2 months
Comment 7 Rakesh Pandit 2009-11-30 04:17:08 EST
Thanks for your work .. once I work on my way to remove extlib from statusnet .. we will ping Axel or request for co-maintainership or request some uberpackager to push update.

Thanks,
Comment 8 Bug Zapper 2009-12-18 03:02:31 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.